'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var nwDetect = require('nw-detect');
var bridge_lofter_es = require('nejsbridge/dist/bridge.lofter.es');

var openWithLocation = function openWithLocation(url) {
  if (url && url.trim()) {
    window.location.href = url;
  } else {
    console.warn('Url must be provided');
  }
};

var openWithWebview = function openWithWebview(url, params) {
  if (params === void 0) {
    params = {
      inside: true
    };
  }

  if (url && url.trim()) {
    if (!nwDetect.isLofter()) {
      openWithLocation(url);
      return;
    }

    window.location.href = "lofter://webview?url=" + encodeURIComponent(url) + "&inside=" + params.inside + (params.opacity ? "&opacity=" + params.opacity : '') + "}";
  } else {
    console.warn('Url must be provided');
  }
};

var close = function close() {
  bridge_lofter_es.callHandler('njb_closeCurrentWebview');
}; // 页面跳转


var go = function go(url, maxCount) {
  if (maxCount === void 0) {
    maxCount = 10;
  }

  if (!url || !url.trim()) {
    console.warn('Url must be provided');
    return;
  }

  if (nwDetect.isLofter()) {
    if (bridge_lofter_es.support('njb_getWebviewCount')) {
      bridge_lofter_es.callHandler('njb_getWebviewCount', function (data) {
        if (data && data.count >= maxCount) {
          openWithLocation(url);
        } else {
          openWithWebview(url);
        }
      });
    } else {
      openWithLocation(url);
    }
  } else {
    openWithLocation(url);
  }
};

exports.close = close;
exports.go = go;
exports.openWithLocation = openWithLocation;
exports.openWithWebview = openWithWebview;
//# sourceMappingURL=lofter-navigate.cjs.development.js.map
