import { isLofter } from 'nw-detect';
import { callHandler, support } from 'nejsbridge/dist/bridge.lofter.es';

var openWithLocation = function openWithLocation(url) {
  if (url && url.trim()) {
    window.location.href = url;
  } else {
    console.warn('Url must be provided');
  }
};

var openWithWebview = function openWithWebview(url, params) {
  if (params === void 0) {
    params = {
      inside: true
    };
  }

  if (url && url.trim()) {
    if (!isLofter()) {
      openWithLocation(url);
      return;
    }

    window.location.href = "lofter://webview?url=" + encodeURIComponent(url) + "&inside=" + params.inside + (params.opacity ? "&opacity=" + params.opacity : '') + "}";
  } else {
    console.warn('Url must be provided');
  }
};

var close = function close() {
  callHandler('njb_closeCurrentWebview');
}; // 页面跳转


var go = function go(url, maxCount) {
  if (maxCount === void 0) {
    maxCount = 10;
  }

  if (!url || !url.trim()) {
    console.warn('Url must be provided');
    return;
  }

  if (isLofter()) {
    if (support('njb_getWebviewCount')) {
      callHandler('njb_getWebviewCount', function (data) {
        if (data && data.count >= maxCount) {
          openWithLocation(url);
        } else {
          openWithWebview(url);
        }
      });
    } else {
      openWithLocation(url);
    }
  } else {
    openWithLocation(url);
  }
};

export { close, go, openWithLocation, openWithWebview };
//# sourceMappingURL=lofter-navigate.esm.js.map
